# Purpose
This script allows you to ssh to a server using an SSH Key and passphrase pulled from your lastpass account.

# Requirements
This script requires the `lastpass-cli` and `expect` packages.

The SSH Key must be stored in your lastpass account, as a Secure Note of the type SSH Key, with the Private Key and Passphrase fields filled out, at a minimum.

# Usage
1. Download the script to a location of your choosing, ensuring it is executable
2. run it like this: ```./ssh.sh KEYNAME server-you-wish-to-ssh-to```

# How it works
This script uses the official `lastpass-cli` package to pull the private key to a file and the private key passphrase to a variable.  The script then uses that information to ssh to the requested server, and removes the private key when the connection is closed.
